unit DemoForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
	StdCtrls, msgbox;

type
	TForm1 = class(TForm)
    lab_Info: TLabel;
    grp_Benutzer: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    MsgBox1: TMsgBox;
    MsgBox2: TMsgBox;
    grp_Std: TGroupBox;
    btn_StdYesNo: TButton;
    btn_StdAbRetrIgn: TButton;
    btn_StderrMsg: TButton;
    MsgBox3: TMsgBox;
    MsgBox4: TMsgBox;
    MsgBox5: TMsgBox;
    StdMsgBox: TMsgBox;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btn_StdYesNoClick(Sender: TObject);
    procedure btn_StderrMsgClick(Sender: TObject);
    procedure btn_StdAbRetrIgnClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private-Deklarationen }
	public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

//	MB : TMsgBox;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
	case (MsgBox4.Execute(self)) of
	1:
		begin // Excellent
			StdMsgBox.Caption:='Excellent?';
			StdMsgBox.Lines.Text:=
				'That''s very nice!'+#13+#10+#13+#10+
				'Please send nevertheless suggestions or ideas to'+#13+#10+
				'Email: hpgue@aol.com'+#13+#10+#13+#10;
				StdMsgBox.CustomImage.LoadFromResourceName(Integer(HInstance),'SMILE');
			StdMsgBox.Execute(self);
		end;
	2: // gut
		begin
			StdMsgBox.Caption:='Well done?';
			StdMsgBox.Lines.Text:=
				'That''s good, not everything can be excellent!'+#13+#10+#13+#10+
				'Please send nevertheless suggestions or ideas to'+#13+#10+
				'Email: hpgue@aol.com'+#13+#10+#13+#10;
				StdMsgBox.CustomImage.LoadFromResourceName(Integer(HInstance),'SMILE');
			StdMsgBox.Execute(self);
		end;
	3:
		begin // befriedigend
			StdMsgBox.Caption:='Could be better?';
			StdMsgBox.Lines.Text:=
				'Oh why?'+#13+#10+#13+#10+
				'Send me any suggestion or improvement so I will make it better'+#13+#10+
				'Email: hpgue@aol.com'+#13+#10+#13+#10;
			StdMsgBox.CustomImage.LoadFromResourceName(Integer(HInstance),'STD');
			StdMsgBox.Execute(self);
		end;
	else
		begin // nicht so gut
			StdMsgBox.Caption:='Not so well?';
			StdMsgBox.Lines.Text:=
				'Very sad, what''s the reason?'+#13+#10+#13+#10+
				'Send me any suggestion or improvement so I will make it better'+#13+#10+
				'Email: hpgue@aol.com'+#13+#10+#13+#10;
			StdMsgBox.CustomImage.LoadFromResourceName(Integer(HInstance),'UNSMILE');
			StdMsgBox.Execute(self);
		end;
	end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
		StdMsgBox.Caption:='Good bye...';
		StdMsgBox.Lines.Text:=
			'If you didn''t currently have registered do the following:'+#13+#10+
			'Send a note to one of the following addresses, make sure that'+#13+#10+
			'you want to buy TMsgBox. Include 10 US$ in cash (no cheques, no'+#13+#10+
			'money orders etc.) You will receive as soon as possible the TMsgBox'+#13+#10+
			'package via email (only via email!) which includes the class itself,'+#13+#10+
			'and the source code of the demo application. This is only for non-'+#13+#10+
			'commercial purposes. If you want to use TMsgBox with your commercial'+#13+#10+
			'software you should contact the author and ask for special company'+#13+#10+
			'conditions and package licenses.'+#13+#10+
			'My address'+#13+#10+'    Email: hpgue@aol.com'+#13+#10+
			'    Hans-Peter Guenther'+#13+#10+'    Glockenblumenweg 17'+#13+#10+'    34128 Kassel'+#13+#10+
			'    Germany';
		StdMsgBox.CustomImage.LoadFromResourceName(Integer(HInstance),'SMILE');
		StdMsgBox.Execute(self);
end;

procedure TForm1.btn_StdYesNoClick(Sender: TObject);
begin
	MsgBox1.Execute(self);

end;

procedure TForm1.btn_StderrMsgClick(Sender: TObject);
begin
	MsgBox2.Execute(self);
end;

procedure TForm1.btn_StdAbRetrIgnClick(Sender: TObject);
begin
	MsgBox3.Execute(self);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
	MsgBox5.Execute(self);
end;

end.
